AOZ Studio Beta - Bug #522

Procedures called by Touch On Change don't run properly
09/29/2020 05:41 AM - David Baldwin

Status: Closed Start date: 09/29/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Beta RC4

Affected version: Beta RC3

Description

It seems procedures called by Touch On Change are not behaving as they should. When | try to use Goto Label from an If
statement, the program just jumps to the next line after end if, not the label. Same happens when I try to Pop Proc. I've put together a
demontration:-

Touch On Change "Direction_Control"

// Direct Procedure call - Only first line is printed, so Goto works
Direction_Control

// Now call from Touch On Change - Mouse click or touch
Repeat

Wait vbl

until

Procedure Direction_Control[X,Y,LASTX,LASTY,STATE]

A=10

locate 20,10 : Print "First Line, Goto Done next"

If A=10

Goto Done

End if

Locate 20,12 : Print "Second Line,Pop Proc Next"

If A=10 then Pop Proc

Locate 20,14 : Print "Third Line, none of these lines should be printed"
Done:

End Proc

History

#1 - 10/06/2020 08:01 PM - Francois Lionet
- Assignee changed from Baptiste Bideaux to Francois Lionet

- Target version set to Beta RC4

Fixed

#2 - 10/06/2020 08:10 PM - Francois Lionet

- Status changed from New to Resolved

Fixed

#3 - 11/17/2020 07:55 PM - David Baldwin

- Status changed from Resolved to Closed
